rake make – Complaining on Ubuntu 11.10?

Running Ubuntu 11.10 and while trying to install command-t (vim plugin), I ran into the following error…

$ rake make
(in /home/bctp/.vim/bundle/command-t)
/usr/bin/ruby1.8 extconf.rb
extconf.rb:24:in `require': no such file to load -- mkmf (LoadError)
	from extconf.rb:24
rake aborted!
Command failed with status (1): [/usr/bin/ruby1.8 extconf.rb...]
/home/bctp/.vim/bundle/command-t/Rakefile:136
(See full trace by running task with --trace)

Well now then, what’s the problem?

extconf.rb:24:in `require': no such file to load -- mkmf (LoadError)
	from extconf.rb:24

It can’t find the “mkmf” file or library..

What’s the solution?

sudo apt-get install ruby1.9.1-dev
sudo gem install sys-proctable
sudo gem install passenger

Finally

rake make

Success.

Leave a Reply

Your email address will not be published. Required fields are marked *